Bug 118571 - Should s-c-u be able to configure user's SELinux roles?
Summary: Should s-c-u be able to configure user's SELinux roles?
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature, SELinux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-17 20:53 UTC by Aleksey Nogin
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 02:50:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2004-03-17 20:53:21 UTC
 

Comment 1 Aleksey Nogin 2004-03-17 20:56:06 UTC
[Sorry, submitted it prematurely.]

Currently, in order to specify the allowed SELinux user roles, one has
to install the policy-sources package and edit the
/etc/security/selinux/src/policy/users file manually. IMHO it may be a
good idea if s-c-u knew to do it.

Comment 2 Gene Czarcinski 2004-04-03 19:39:56 UTC
I just took a look at seuserx ("seuser -X") from the setools package
and it appears to me that the functionality of that code should be
merged into s-c-u (or s-c-u functionality should be merged into seuserx).

These might need to stay separate since some folks will refuse to run
selinx (unfortunately).

Comment 3 Gene Czarcinski 2004-04-03 19:53:43 UTC
Oops ... spoke too soon:  s-c-u DOES HAVE support for selinux now (the
support is not correct but that is another bug report).  This bug
should be closed

Comment 4 Rahul Sundaram 2005-09-05 02:50:47 UTC

closing as per last comment


Note You need to log in before you can comment on or make changes to this bug.